XmlModuleDescriptorUpdater.ConfigurationPrinter
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.parser.xml
Class XmlModuleDescriptorUpdater.ConfigurationPrinter

    java.lang.Object
      org.apache.ivy.plugins.parser.xml.XmlModuleDescriptorUpdater.ConfigurationPrinter

All Implemented Interfaces:
  XmlModuleDescriptorUpdater.ItemPrinter

Enclosing class:
  XmlModuleDescriptorUpdater

    protected static class XmlModuleDescriptorUpdater.ConfigurationPrinter

extends java.lang.Object
implements XmlModuleDescriptorUpdater.ItemPrinter

Field Summary
`static XmlModuleDescriptorUpdater.ConfigurationPrinter` | `INSTANCE`

Constructor Summary
`protected` | `XmlModuleDescriptorUpdater.ConfigurationPrinter()`

Method Summary
`void` | `print(ModuleDescriptor parent, java.lang.Object item, java.io.PrintWriter out)` Print an XML representation of `item` to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final XmlModuleDescriptorUpdater.ConfigurationPrinter INSTANCE

Constructor Detail

### XmlModuleDescriptorUpdater.ConfigurationPrinter

    protected XmlModuleDescriptorUpdater.ConfigurationPrinter()

Method Detail

### print

    public void print(ModuleDescriptor parent,
                      java.lang.Object item,
                      java.io.PrintWriter out)

  Description copied from interface: `XmlModuleDescriptorUpdater.ItemPrinter`
  Print an XML representation of `item` to `out`.

  Specified by:
    `print` in interface `XmlModuleDescriptorUpdater.ItemPrinter`
  Parameters:
    `parent` - the module descriptor containing `item`
    `item` - subcomponent of the descriptor, for example a `DependencyDescriptor` or `Configuration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD